Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class SynchronizedRuntimeImpl

    java.lang.Object
      org.jbpm.runtime.manager.impl.RuntimeEngineImpl
          org.jbpm.runtime.manager.impl.SynchronizedRuntimeImpl

All Implemented Interfaces:
  RuntimeEngine, org.kie.internal.runtime.manager.Disposable

    public class SynchronizedRuntimeImpl

extends RuntimeEngineImpl

This is an extension of the regular `RuntimeEngine` implementation strictly dedicated to `SingletonRuntimeManager` to ensure that access to `RuntimeEngine` resources, such as `KieSession` and `TaskService`, remains synchronized.

Constructor Summary
`SynchronizedRuntimeImpl(KieSession ksession, org.kie.internal.task.api.InternalTaskService taskService)`

Method Summary
`TaskService` | `getTaskService()` Returns `TaskService` configured for this `RuntimeEngine`

Methods inherited from class org.jbpm.runtime.manager.impl.RuntimeEngineImpl
`addDisposeListener, dispose, getAuditLogService, getKieSession, getManager, internalGetKieSession, internalSetKieSession, isAfterCompletion, isDisposed, setAfterCompletion, setManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizedRuntimeImpl

    public SynchronizedRuntimeImpl(KieSession ksession,
                                   org.kie.internal.task.api.InternalTaskService taskService)

Method Detail

### getTaskService

    public TaskService getTaskService()

  Description copied from interface: `RuntimeEngine`
  Returns `TaskService` configured for this `RuntimeEngine`

  Specified by:
    `getTaskService` in interface `RuntimeEngine`
  Overrides:
    `getTaskService` in class `RuntimeEngineImpl`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.